#ifndef caraH
#define caraH

#include <list>
#include <cstdio>
//#include <graphics>

using namespace std;

struct TBod
{
        int x,y;
        TBod(int xx=0, int yy=0): x(xx),y(yy) {};
};

class TCara
{
        int pero;
        TColor barva;
        int delka;
        list<TBod> body;
  public:
        TCara(TColor _barva, int _pero): barva(_barva), pero(_pero), delka(0) {};
        TCara(FILE *F);
        void pridej(TBod &b) {body.push_back(b); delka++;};
        void uloz(FILE *F);
        void nakresli(TCanvas *C);
};

class TObraz
{
        int kolik;
        list<TCara> cary;
  public:
        TObraz(): kolik(0) {};
        void nakresli(TCanvas *C);
        void pridej(TCara *x) {cary.push_back(*x); kolik++;};
        void uloz(FILE *F);
        void precti(FILE *F);
};

#endif
