//---------------------------------------------------------------------------

#ifndef kreslH
#define kreslH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include "CGRID.h"
#include <Buttons.hpp>
#include <Dialogs.hpp>

#include "cara.h"

//---------------------------------------------------------------------------
class THlavniOkno : public TForm
{
__published:	// IDE-managed Components
        TMainMenu *HlavniMenu;
        TMenuItem *mn_soubor;
        TMenuItem *mn_novy;
        TMenuItem *mn_otevri;
        TMenuItem *mn_uloz;
        TMenuItem *mn_ulozjako;
        TMenuItem *N1;
        TMenuItem *mn_konec;
        TMenuItem *mn_napoveda;
        TMenuItem *mn_oprogramu;
        TPanel *pa_paleta;
        TCColorGrid *barvy;
        TBitBtn *tl_jina;
        TPanel *pa_barva;
        TColorDialog *dlg_barva;
        TScrollBar *posuv;
        TPanel *pa_silapera;
        TImage *im_sila;
        TImage *im_kresba;
        TSaveDialog *dlg_uloz;
        TOpenDialog *dlg_otevri;
        void __fastcall barvyChange(TObject *Sender);
        void __fastcall tl_jinaClick(TObject *Sender);
        void __fastcall posuvChange(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall mn_novyClick(TObject *Sender);
        void __fastcall FormMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
        void __fastcall FormMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
        void __fastcall FormMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
        void __fastcall mn_ulozClick(TObject *Sender);
        void __fastcall mn_ulozjakoClick(TObject *Sender);
        void __fastcall dlg_ulozTypeChange(TObject *Sender);
        void __fastcall mn_otevriClick(TObject *Sender);
private:	// User declarations
        TColor barva;
        unsigned sila;
        TObraz *obr;
        TCara *lajna;
        bool dole;
        AnsiString jmeno;
public:		// User declarations
        __fastcall THlavniOkno(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE THlavniOkno *HlavniOkno;
//---------------------------------------------------------------------------
#endif
